Subject: Time in RTSP

From: Eric Fleischman <[email-masked]>
Date: Wed, 5 Mar 1997 19:12:19 -0800

I am concerned about the time granularity specified within RTSP, 
particularly in regards to the timestamps of section 3.4.

The hours:minutes:seconds:frames distinction isn't very helpful for 
non-video data sessions, particularly if the synchronization is to occur 
between multiple media streams, none of which has a concept of "frame".

The experience we have had with our product to date suggests the need to 
synchronize on a granularity of a hundred-nanoseconds. Microsecond or even 
millisecond granularities could probably also be used (though not as 
desirable as the finer time scale). However, one second granularities are 
simply too coarse for orchestrating the type of creative content which is 
being streamed today. Such a granularity would have grave implications to 
streaming content and would undesirably constrain the streaming 
experience.